
<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Period</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Period
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <form class="form-horizontal" th:action="@{/setting/periodeanggaran/update}" th:object="${periodeAnggaran}" method="post">
                    <div class="card">
                        <div class="card-body">

                            <div class="mb-3">
                                <label for="kodePeriodeAnggaran" class="form-label">Code</label>
                                <input type="text" class="form-control" id="kodePeriodeAnggaran" th:field="*{kodePeriodeAnggaran}" name="kodeStandard" placeholder="Code">
                                <p th:if="${#fields.hasErrors('kodePeriodeAnggaran')}" th:errors="*{kodePeriodeAnggaran}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="mb-3">
                                <label for="namaStandard" class="form-label">Name</label>
                                <input type="text" class="form-control" id="namaStandard" th:field="*{namaPeriodeAnggaran}" name="namaPeriodeAnggaran" placeholder="Name">
                                <p th:if="${#fields.hasErrors('namaPeriodeAnggaran')}" th:errors="*{namaPeriodeAnggaran}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="mb-3">
                                <label for="tanggalMulaiRencana" class="form-label">Preparation Start</label>
                                <input type="date" class="form-control" id="tanggalMulaiRencana" th:field="*{tanggalMulaiRencana}" name="tanggalMulaiRencana" placeholder="Title">
                                <p th:if="${#fields.hasErrors('tanggalMulaiRencana')}" th:errors="*{tanggalMulaiRencana}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="mb-3">
                                <label for="tanggalSelesaiRencana" class="form-label">Preparation End</label>
                                <input type="date" class="form-control" id="tanggalSelesaiRencana" th:field="*{tanggalSelesaiRencana}" name="tanggalSelesaiRencana" placeholder="Title">
                                <p th:if="${#fields.hasErrors('tanggalSelesaiRencana')}" th:errors="*{tanggalSelesaiRencana}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="mb-3">
                                <label for="tanggalMulaiAnggar" class="form-label">Period Start</label>
                                <input type="date" class="form-control" id="tanggalMulaiAnggar" th:field="*{tanggalMulaiAnggar}" name="tanggalMulaiAnggar" placeholder="Title">
                                <p th:if="${#fields.hasErrors('tanggalMulaiAnggar')}" th:errors="*{tanggalMulaiAnggar}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="mb-3">
                                <label for="tanggalSelesaiAnggar" class="form-label">Period End</label>
                                <input type="date" class="form-control" id="tanggalSelesaiAnggar" th:field="*{tanggalSelesaiAnggar}" name="tanggalSelesaiAnggar" placeholder="Title">
                                <p th:if="${#fields.hasErrors('tanggalSelesaiAnggar')}" th:errors="*{tanggalSelesaiAnggar}" class="text-danger"> Mata Anggaran Error</p>
                            </div>


                            <input type="hidden" name="id" th:field="*{id}">
                        </div>
                        <div class="card-body">
                            <a th:href="@{/setting/periodeanggaran}" class="btn btn-light" style="--bs-btn-bg: #e8ecf1">Cancel</a>
                            <button type="submit" class="btn btn-primary pull-right" style="--bs-btn-bg: #15408d" id="simpan">Save</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </main>
</main>

</body>
</html>

<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Period</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Period Of Budgeting-->
<!--        <small>Form</small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Setting</li>-->
<!--        <li class="active"> Period</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->
<!--    <div class="row">-->

<!--        <div class="col-md-6">-->
<!--            &lt;!&ndash; Horizontal Form &ndash;&gt;-->
<!--            <div class="box box-info">-->
<!--                <div class="box-header with-border">-->
<!--                    <h3 class="box-title">Period</h3>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-header &ndash;&gt;-->
<!--                &lt;!&ndash; form start &ndash;&gt;-->
<!--                <form class="form-horizontal" th:action="@{/setting/periodeanggaran/update}" th:object="${periodeAnggaran}" method="post">-->
<!--                    <div class="box-body">-->

<!--                        <div class="form-group">-->
<!--                            <label for="inputNik" class="col-sm-2 control-label">Code</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{kodePeriodeAnggaran}" name="kodePeriodeAnggaran" id="inputNik" placeholder="Kode Periode Anggaran">-->
<!--                                <p th:if="${#fields.hasErrors('kodePeriodeAnggaran')}" th:errors="*{kodePeriodeAnggaran}" class="text-danger"> Periode Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                        <div class="form-group">-->
<!--                            <label for="inputNama" class="col-sm-2 control-label">Period</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{namaPeriodeAnggaran}" name="namaPeriodeAnggaran" id="inputNama" placeholder="Nama Periode Anggaran" required>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="tanggalMulaiRencana"  class="col-sm-2 control-label">Planning_Start</label>-->
<!--                            <div class="col-sm-10">-->

<!--                                <div class="input-group date">-->
<!--                                    <div class="input-group-addon">-->
<!--                                        <i class="fa fa-calendar"></i>-->
<!--                                    </div>-->
<!--                                    <input type="text" class="form-control pull-right" id="tanggalMulaiRencana" th:field="*{tanggalMulaiRencana}" name="tanggalMulaiRencana" placeholder="MM/dd/yyyy">-->
<!--                                </div>-->
<!--                                &lt;!&ndash;                                        <input type="date" th:field="*{tanggalPenerimaan}" name="tanggalPenerimaan" id="tanggalPenerimaan" class="form-control">&ndash;&gt;-->

<!--                                <p th:if="${#fields.hasErrors('tanggalMulaiPerencanaan')}" th:errors="*{tanggalMulaiPerencanaan}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="tanggalSelesaiRencana"  class="col-sm-2 control-label">Planning_End</label>-->
<!--                            <div class="col-sm-10">-->

<!--                                <div class="input-group date">-->
<!--                                    <div class="input-group-addon">-->
<!--                                        <i class="fa fa-calendar"></i>-->
<!--                                    </div>-->
<!--                                    <input type="text" class="form-control pull-right" id="tanggalSelesaiRencana" th:field="*{tanggalSelesaiRencana}" name="tanggalSelesaiRencana" placeholder="MM/dd/yyyy">-->
<!--                                </div>-->
<!--                                &lt;!&ndash;                                        <input type="date" th:field="*{tanggalPenerimaan}" name="tanggalPenerimaan" id="tanggalPenerimaan" class="form-control">&ndash;&gt;-->

<!--                                <p th:if="${#fields.hasErrors('tanggalSelesaiPerencanaan')}" th:errors="*{tanggalSelesaiPerencanaan}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="tanggalMulaiAnggar"  class="col-sm-2 control-label">Period_Start</label>-->
<!--                            <div class="col-sm-10">-->

<!--                                <div class="input-group date">-->
<!--                                    <div class="input-group-addon">-->
<!--                                        <i class="fa fa-calendar"></i>-->
<!--                                    </div>-->
<!--                                    <input type="text" class="form-control pull-right" id="tanggalMulaiAnggar" th:field="*{tanggalMulaiAnggar}" name="tanggalMulaiAnggar" placeholder="MM/dd/yyyy">-->
<!--                                </div>-->
<!--                                &lt;!&ndash;                                        <input type="date" th:field="*{tanggalPenerimaan}" name="tanggalPenerimaan" id="tanggalPenerimaan" class="form-control">&ndash;&gt;-->

<!--                                <p th:if="${#fields.hasErrors('tanggalMulaiAnggaran')}" th:errors="*{tanggalMulaiAnggaran}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="tanggalSelesaiAnggar"  class="col-sm-2 control-label">Period_End</label>-->
<!--                            <div class="col-sm-10">-->

<!--                                <div class="input-group date">-->
<!--                                    <div class="input-group-addon">-->
<!--                                        <i class="fa fa-calendar"></i>-->
<!--                                    </div>-->
<!--                                    <input type="text" class="form-control pull-right" id="tanggalSelesaiAnggar" th:field="*{tanggalSelesaiAnggar}" name="tanggalSelesaiAnggar" placeholder="MM/dd/yyyy">-->
<!--                                </div>-->
<!--                                &lt;!&ndash;                                        <input type="date" th:field="*{tanggalPenerimaan}" name="tanggalPenerimaan" id="tanggalPenerimaan" class="form-control">&ndash;&gt;-->

<!--                                <p th:if="${#fields.hasErrors('tanggalSelesaiAnggaran')}" th:errors="*{tanggalSelesaiAnggaran}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="statusAktif"  class="col-sm-2 control-label">Active</label>-->
<!--                            <div class="col-sm-10">-->
<!--                                <input name="statusAktif" id="statusAktif" type="checkbox" class="flat-red" th:field="*{statusAktif}" value="AKTIF" >-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <input type="hidden" name="id" th:field="*{id}">-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                    <div class="box-footer">-->

<!--                        <a th:href="@{/setting/periodeanggaran}" class="btn btn-default">Cancel</a>-->
<!--                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>-->

<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-footer &ndash;&gt;-->
<!--                </form>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
<!--</section>-->

<!--<section layout:fragment="footer" class="script">>-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#tanggalMulaiRencana').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            $('#tanggalSelesaiRencana').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            $('#tanggalMulaiAnggar').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            $('#tanggalSelesaiAnggar').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->